Package org.apache.datasketches.hive.frequencies

## Class GetFrequentItemsFromStringsSketchUDTF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.GenericUDTF
  - - org.apache.datasketches.hive.frequencies.GetFrequentItemsFromStringsSketchUDTF

    public class GetFrequentItemsFromStringsSketchUDTF
    extends org.apache.hadoop.hive.ql.udf.generic.GenericUDTF

### Constructor Summary

Constructors
`GetFrequentItemsFromStringsSketchUDTF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector` `initialize​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)`
`void` `process​(Object[] data)`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDTF

`configure, forward, initialize, setCollector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetFrequentItemsFromStringsSketchUDTF

    public GetFrequentItemsFromStringsSketchUDTF()

### Method Detail

#### initialize

    public org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector initialize​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)
                                                                                   throws org.apache.hadoop.hive.ql.exec.UDFArgumentException

Overrides:
  `initialize` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDTF`
Throws:
  `org.apache.hadoop.hive.ql.exec.UDFArgumentException`

#### process

    public void process​(Object[] data)
                 throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `process` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDTF`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### close

    public void close()
               throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `close` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDTF`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`